Bug 479412 - PATH and EXECVE audit records contain bogus newlines
PATH and EXECVE audit records contain bogus newlines
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity low
: ---
: ---
Assigned To: Jiri Pirko
Red Hat Kernel QE team
:
Depends On: 452390
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-09 08:23 EST by Jiri Pirko
Modified: 2015-05-04 21:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 452390
Environment:
Last Closed: 2009-09-02 04:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pirko 2009-01-09 08:23:05 EST
+++ This bug was initially created as a clone of Bug #452390 +++

Description of problem:
PATH records, as output by the kernel, contain a newline after the flags fields,
which is in the middle of the record.

EXECVE records contain a newline after every argument.

auditd seems to hide this, but they're there nevertheless. If you're not using
auditd, you need to work round them.

I've attached a patch which I think would fix them. However, I'm not able to
test the patch *at all* right now (even for compilation).

Version-Release number of selected component (if applicable):
kernel-2.6.9-67.0.15.EL

--- Additional comment from mbooth@redhat.com on 2008-06-21 18:15:46 EDT ---

Created an attachment (id=309983)
Patch to remove bogus newlines in PATH and EXECVE records


--- Additional comment from pm-rhel@redhat.com on 2008-09-03 09:02:36 EDT ---

Updating PM score.
Comment 2 RHEL Product and Program Management 2009-02-02 22:38:56 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2009-02-09 13:25:54 EST
in kernel-2.6.18-131.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 4 RHEL Product and Program Management 2009-02-16 10:42:31 EST
Updating PM score.
Comment 7 errata-xmlrpc 2009-09-02 04:59:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.